diff options
author | Holger Levsen <holger@layer-acht.org> | 2015-02-06 11:58:04 +0100 |
---|---|---|
committer | Holger Levsen <holger@layer-acht.org> | 2015-02-06 11:58:04 +0100 |
commit | 1fdaaad3ddef871166b59a8f785af725be60e15b (patch) | |
tree | f65421e35e02730397d3c3c1e51cf452a66ecf4c /bin | |
parent | 7bccaa5c44b074c0e829e91e7ca330512a881df3 (diff) | |
download | jenkins.debian.net-1fdaaad3ddef871166b59a8f785af725be60e15b.tar.xz |
chroot-installation: give up for now, revert exception+retry handling...
Diffstat (limited to 'bin')
-rwxr-xr-x | bin/chroot-installation.sh | 33 |
1 files changed, 17 insertions, 16 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh index 01b0c7c7..9962413c 100755 --- a/bin/chroot-installation.sh +++ b/bin/chroot-installation.sh @@ -49,23 +49,24 @@ cleanup_all() { } execute_ctmpfile() { - set -x - chmod +x $CTMPFILE - set -o pipefail # see eg http://petereisentraut.blogspot.com/2010/11/pipefail.html - if ! $(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) ; then - RESULT=$(egrep "Failed to fetch.*Unable to connect to" $TMPLOG || true) - if [ ! -z "$RESULT" ] ; then - echo - echo "Trying to workaround temporarily failure fetching packages, trying again..." - echo - sudo chroot $CHROOT_TARGET $TMPFILE - else - exit 1 - fi - fi + sudo chroot $CHROOT_TARGET $TMPFILE + #set -x + #chmod +x $CTMPFILE + #set -o pipefail # see eg http://petereisentraut.blogspot.com/2010/11/pipefail.html + #if ! $(sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG) ; then + # RESULT=$(egrep "Failed to fetch.*Unable to connect to" $TMPLOG || true) + # if [ ! -z "$RESULT" ] ; then + # echo + # echo "Trying to workaround temporarily failure fetching packages, trying again..." + # echo + # sudo chroot $CHROOT_TARGET $TMPFILE + # else + # exit 1 + # fi + #fi rm $CTMPFILE - set +o pipefail - set +x + #set +o pipefail + #set +x echo "Debug: This should only be printed on success." } |